<template>
  <lobby-settings-games-module-three
    v-if="props.data.SelectedStyle.includes('_01')"
    :game-selected="props.data.Position"
  />
  <lobby-settings-games-module-four
    v-else-if="props.data.SelectedStyle.includes('_02')"
    :game-selected="props.data.Position"
  />
  <lobby-settings-games-mobile-module-three
    v-else-if="props.data.SelectedStyle.includes('_03')"
  />
</template>

<script lang="ts" setup>
import { ILobbySettingsText } from "~~/models/customizeTheme";

const props = defineProps<{
  data: ILobbySettingsText;
}>();
</script>
